package com.lynarstudios.ls.std.time.systemtime;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.time.LocalDateTime;

class LocalDateTimeConverterTest
{
  @Test
  void toDateParameter()
  {
    LocalDateTime localDateTime = LocalDateTime.of(2030, 6, 1, 10, 55, 13);
    DateParameter parameter = LocalDateTimeConverter.toDateParameter(localDateTime);

    Assertions.assertEquals(2030, parameter.getYear());
    Assertions.assertEquals(6, parameter.getMonth());
    Assertions.assertEquals(1, parameter.getDay());
    Assertions.assertEquals(10, parameter.getHour());
    Assertions.assertEquals(55, parameter.getMinute());
    Assertions.assertEquals(13, parameter.getSecond());
  }
}
